% Porwnanie 3 metod interpolacji sklejanej
f = @(x) sin(x).* exp(-0.1*x);

xi = 0:1:18;
yi = f(xi);
xx = linspace(0,6*pi,1000);
yy = f(xx);

figure(100), plot(xx,yy,xi,yi,'ko');

% p = pchip(xi,yi,xx);
% s = spline(xi,yi,xx);
% figure(111),
% plot(xi,yi,'ko',xx,p,'b-',xx,s,'r-'),
% legend('data','pchip','spline',4)

p = interp1(xi,yi,xx,'pchip');
s = interp1(xi,yi,xx,'spline');
m = interp1(xi,yi,xx,'makima');
figure(112),
% plot(xi,yi,'ko',xx,p,'b-',xx,s,'r-'),
% legend('data','pchip','spline','Location','northeast')
plot(xi,yi,'ko',xx,p,'b-',xx,s,'r-',xx,m,'k-'),
legend('data','pchip','spline','makima','Location','northeast')

% O interpolacji Akima np.: https://en.wikipedia.org/wiki/Akima_spline


% x = 0:0.1:1;
% y = [3, 3, 2.9, 2.5, 1.05, 0.95, 0.80, 0.5, 0.2, 0.1, 0.1];
% t = 0:.001:1;
% p = pchip(x,y,t);
% s = spline(x,y,t);
% figure(12),
% plot(x,y,'o',t,s,'-b'); axis([0,1,0,3.3]); title('Qubic spline interpolation'),
% figure(13),
% plot(x,y,'o',t,p,'-r'); axis([0,1,0,3.3]); title('PCHIP - Monotone cubic Hermite interpolation'),
