function czebrown(fun,a,b,n),
% Porownanie interpolacji przy rownomiernym rozkladzie wezlow
% i rozkladzie wg pierwiatkow wielomianu Czebyszewa
if n>1,
  figure(1),
  hold off;
% axis([-a a -0.4 1.2]);
  x=a:(b-a)/500:b;        y=feval(fun,x);           plot(x,y,'k-');
  hold on;
  xd=linspace(a,b,n);  yd=feval(fun,xd);         plot(xd,yd,'ko');
  L=lagrvand(xd,yd);  yi=polyval(L,x);   plot(x,yi,'b-');
  pause
  % hold off
  plot(x,y,'b-');   hold on;
  j=0:n-1;
  xc=(b-a)/2*cos((2*j+1)*pi/(2*n))+(b+a)/2; yc=feval(fun,xc);  plot(xc,yc,'kx');
  L=lagrvand(xc,yc);  yci=polyval(L,x);   plot(x,yci,'g-');
  pause
  hold off
  figure(2),
  plot(x,y-yi,'b',x,y-yci,'g');
  title('Blad interpolacji; r.rownomierny lub Czebyszewa');
end,
