x = [1 2 3 4 5 5.5 7 8 9 9.5 10];
y = [0 0 0 0.5 0.4 1.2 1.2 0.1 0 0.3 0.6];
t = 0.75:0.01:10.25;

p = interp1(x,y,t,'pchip');
s = interp1(x,y,t,'spline');
m = interp1(x,y,t,'makima');
figure(21), 
% plot(x,y,'o',t,p,'b',t,s,'r')
% legend('data','pchip','spline','Location','northwest')
plot(x,y,'o',t,p,'b',t,s,'r',t,m,'k')
legend('data','pchip','spline','makima','Location','northwest')

% figure(12),
% plot(x,y,'o',t,s,'-b'); axis([0,12,-0.2,1.8]); title('Qubic spline interpolation'),
% figure(13),
% plot(x,y,'o',t,p,'-r'); axis([0,12,-0.2,1.8]); title('PCHIP - Monotone cubic Hermite interpolation'),
% figure(14),
% plot(x,y,'o',t,m,'-k'); axis([0,12,-0.2,1.8]); title('Modified Akima cubic Hermite interpolation'),
