function eb=ilr(a,n),
% Interpolacja Lagrange'a z rownomiernym rozkladem n wezlow na przedziale
% [-a,a]

if n>1,
  figure(1),  hold off,
  eb=ee(a,n);
  marg=min(eb,1);  axis([-a a fr(a)-marg 1+marg]);
  x=-a:a/50:a;        y=fr(x);
%  plot(x,y+eb,'r',x,y,'g-',x,y-eb,'r');
  plot(x,y,'k-');
  hold on;
  xd=-a:2*a/(n-1):a;  yd=fr(xd);         plot(xd,yd,'ko');
  L=lagrange(xd,yd);  yi=polyval(L,x);   plot(x,yi,'b-'); 
  % legend('max. oszacowanie bdu','f.interpolowana','min oszacowanie bdu','wezly','f. interpolujca');
  hold off;
  figure(2),
  plot(x,yi-y,'b-'); title('blad interpolacji Lagrange`a');
end,
